## class osgParticle::PointPlacer

> A point-shaped particle placer.

## Inheritance:

### Public Methods

META_Object(osgParticle, PointPlacer)
inline PointPlacer()
inline PointPlacer(const PointPlacer &copy, const osg::CopyOp &copyop)
inline void place(Particle* P) const
  Place a particle.

### Protected Methods

virtual ~PointPlacer()
PointPlacer& operator=(const PointPlacer &)

### Inherited from CenteredPlacer:

### Public Methods

virtual const char* libraryName() const
virtual const char* className() const
virtual bool isSameKindAs(const osg::Object* obj) const
inline const osg::Vec3& getCenter() const
inline void setCenter(const osg::Vec3 &v)
inline void setCenter(float x, float y, float z)

### Inherited from Placer:

## Documentation

> A point-shaped particle placer. This placer class uses the center point defined in its base class `CenteredPlacer` to place there all incoming particles.

`META_Object(osgParticle, PointPlacer)`

`virtual ~PointPlacer()`

`PointPlacer& operator=(const PointPlacer &)`

`inline PointPlacer()`

`inline PointPlacer(const PointPlacer &copy, const osg::CopyOp &copyop)`

`inline void place(Particle* P) const`
  Place a particle. This method is called automatically by `ModularEmitter` and should not be called manually.

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.